---
apiVersion: "v1"
kind: "Template"
metadata:
  annotations:
    fabric8.wildfly-camel-ejb/summary: "Simple EJB application deployed on Wildfly-Camel"
    description: "Simple EJB application deployed on Wildfly-Camel"
    fabric8.wildfly-camel-ejb/iconUrl: "img/icons/wildfly.svg"
  labels: {}
  name: "wildfly-camel-ejb"
objects:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/wildfly.svg"
    labels:
      provider: "fabric8"
      project: "wildfly-camel-ejb"
      version: "2.2.148"
      group: "quickstarts"
    name: "wildfly-camel-ejb"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      project: "wildfly-camel-ejb"
      provider: "fabric8"
      group: "quickstarts"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/wildfly.svg"
      fabric8.io/git-branch: "release-v2.2.148"
      fabric8.io/git-commit: "02f2e6bc0472ac161d9da425f98b404a5bbd5fa1"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/3"
      fabric8.io/build-id: "3"
    labels:
      provider: "fabric8"
      project: "wildfly-camel-ejb"
      version: "2.2.148"
      group: "quickstarts"
    name: "wildfly-camel-ejb"
  spec:
    replicas: 1
    selector:
      provider: "fabric8"
      project: "wildfly-camel-ejb"
      version: "2.2.148"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          provider: "fabric8"
          project: "wildfly-camel-ejb"
          version: "2.2.148"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/wildfly-camel-ejb:2.2.148"
          name: "wildfly-camel-ejb"
          ports:
          - containerPort: 8778
            name: "jolokia"
          readinessProbe:
            httpGet:
              httpHeaders: []
              path: "/"
              port: 8080
            initialDelaySeconds: 5
            timeoutSeconds: 30
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
